; Extended from https://autohotkey.com/board/topic/65011-on-screen-key-state-indicator-simple/

; Lock
Gui, Add, Radio, vNum group x0 y0 -wrap, Num Lock
Gui, Add, Radio, vCaps group x0 y15 -wrap, Caps Lock
Gui, Add, Radio, vScrol group x0 y30 -wrap, Scroll Lock

; Modifier
Gui, Add, Radio, vrLWin group x0 y60 -wrap, Left Windows
Gui, Add, Radio, vrRWin group x0 y75 -wrap, Right Windows
Gui, Add, Radio, vrControl group x0 y90 -wrap, Control
Gui, Add, Radio, vrAlt group x0 y105 -wrap, Alt
Gui, Add, Radio, vrShift group x0 y120 -wrap, Shift
Gui, Add, Radio, vrLControl group x0 y135 -wrap, Left Control 
Gui, Add, Radio, vrRControl group x0 y150 -wrap, Right Control 
Gui, Add, Radio, vrLShift group x0 y165 -wrap, Left Shift
Gui, Add, Radio, vrRShift group x0 y180 -wrap, Right Shift
Gui, Add, Radio, vrLAlt group x0 y195 -wrap, Left Alt
Gui, Add, Radio, vrRAlt group x0 y210 -wrap, Right Alt

; Mouse
Gui, Add, Radio, vrLButton group x100 y0 -wrap, Left
Gui, Add, Radio, vrRButton group x100 y15 -wrap, Right
Gui, Add, Radio, vrMButton group x100 y30 -wrap, Middle
Gui, Add, Radio, vrXButton1 group x100 y45 -wrap, 3
Gui, Add, Radio, vrXButton2 group x100 y60 -wrap, 4
Gui, Add, Radio, vrWheelDown group x100 y75 -wrap, Wheel down
Gui, Add, Radio, vrWheelUp group x100 y90 -wrap, Wheel up
Gui, Add, Radio, vrWheelLeft group x100 y105 -wrap, Wheel Left
Gui, Add, Radio, vrWheelRight group x100 y120 -wrap, Wheel Right



Gui, +Alwaysontop +Toolwindow

Gui, Show, autosize

    ;GetKeyState
    ;0 is unchecked
    ;1 is checked
    ;D is on

Loop
{
; Locks
    GetKeyState, CapsState, CapsLock, T
    If CapsState = D
    {
        GuiControl,, Caps, 1
    }
    Else
    {
        GuiControl,, Caps, 0
    }
           
    GetKeyState, NumState, NumLock, T
    If NumState = D
    {
        GuiControl,, Num, 1
    }
    Else
    {
        GuiControl,, Num, 0
    }
   
    GetKeyState, ScrollState, ScrollLock, T
    If ScrollState = D
    {
        GuiControl,, Scrol, 1
    }
    Else
    {
        GuiControl,, Scrol, 0
    }

; Modifier
    GetKeyState, LWinState, LWin, P
    If LWinState = D
    {
        GuiControl,, rLWin, 1
    }
    Else
    {
        GuiControl,, rLWin, 0
    }

    GetKeyState, RWinState, RWin, P
    If RWinState = D
    {
        GuiControl,, rRWin, 1
    }
    Else
    {
        GuiControl,, rRWin, 0
    }

    GetKeyState, ControlState, Control, P
    If ControlState = D
    {
        GuiControl,, rControl, 1
    }
    Else
    {
        GuiControl,, rControl, 0
    }

    GetKeyState, AltState, Alt, P
    If AltState = D
    {
        GuiControl,, rAlt, 1
    }
    Else
    {
        GuiControl,, rAlt, 0
    }

    GetKeyState, ShiftState, Shift, P
    If ShiftState = D
    {
        GuiControl,, rShift, 1
    }
    Else
    {
        GuiControl,, rShift, 0
    }

    GetKeyState, LControlState, LControl, P
    If LControlState = D
    {
        GuiControl,, rLControl, 1
    }
    Else
    {
        GuiControl,, rLControl, 0
    }

    GetKeyState, RControlState, RControl, P
    If RControlState = D
    {
        GuiControl,, rRControl, 1
    }
    Else
    {
        GuiControl,, rRControl, 0
    }

    GetKeyState, LShiftState, LShift, P
    If LShiftState = D
    {
        GuiControl,, rLShift, 1
    }
    Else
    {
        GuiControl,, rLShift, 0
    }

    GetKeyState, RShiftState, RShift, P
    If RShiftState = D
    {
        GuiControl,, rRShift, 1
    }
    Else
    {
        GuiControl,, rRShift, 0
    }

    GetKeyState, LAltState, LAlt, P
    If LAltState = D
    {
        GuiControl,, rLAlt, 1
    }
    Else
    {
        GuiControl,, rLAlt, 0
    }

    GetKeyState, RAltState, RAlt, P
    If RAltState = D
    {
        GuiControl,, rRAlt, 1
    }
    Else
    {
        GuiControl,, rRAlt, 0
    }

; Mouse
    GetKeyState, LButtonState, LButton, P
    If LButtonState = D
    {
        GuiControl,, rLButton, 1
    }
    Else
    {
        GuiControl,, rLButton, 0
    }


    GetKeyState, RButtonState, RButton, P
    If RButtonState = D
    {
        GuiControl,, rRButton, 1
    }
    Else
    {
        GuiControl,, rRButton, 0
    }

    GetKeyState, MButtonState, MButton, P
    If MButtonState = D
    {
        GuiControl,, rMButton, 1
    }
    Else
    {
        GuiControl,, rMButton, 0
    }

    GetKeyState, XButton1State, XButton1, P
    If XButton1State = D
    {
        GuiControl,, rXButton1, 1
    }
    Else
    {
        GuiControl,, rXButton1, 0
    }

    GetKeyState, XButton2State, XButton2, P
    If XButton2State = D
    {
        GuiControl,, rXButton2, 1
    }
    Else
    {
        GuiControl,, rXButton2, 0
    }

    GetKeyState, WheelDownState, WheelDown, P
    If WheelDownState = D
    {
        GuiControl,, rWheelDown, 1
    }
    Else
    {
        GuiControl,, rWheelDown, 0
    }

    GetKeyState, WheelUpState, WheelUp, P
    If WheelUpState = D
    {
        GuiControl,, rWheelUp, 1
    }
    Else
    {
        GuiControl,, rWheelUp, 0
    }

    GetKeyState, WheelLeftState, WheelLeft, P
    If WheelLeftState = D
    {
        GuiControl,, rWheelLeft, 1
    }
    Else
    {
        GuiControl,, rWheelLeft, 0
    }

    GetKeyState, WheelRightState, WheelRight, P
    If WheelRightState = D
    {
        GuiControl,, rWheelRight, 1
    }
    Else
    {
        GuiControl,, rWheelRight, 0
    }



    Sleep, 50
}

F5::
GuiClose:
ExitApp